curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/transMemories/extractCleaned \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"uids": [
"<string>"
],
"preserveRatio": 0.5,
"targetLangs": [
"<string>"
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/extractCleaned"
payload = {
"uids": ["<string>"],
"preserveRatio": 0.5,
"targetLangs": ["<string>"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({uids: ['<string>'], preserveRatio: 0.5, targetLangs: ['<string>']})
};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/extractCleaned', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"acceptedSegmentsCount": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
}
}Extract cleaned translation memory
Queues an asynchronous job that extracts cleaned TM content into a ZIP archive. Returns 403 Forbidden when the extract-cleaned feature is not enabled for the organisation. Poll the returned asyncRequest for completion, then download the result via downloadCleaned/.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
Cleaned TM extraction request
Request body for extractCleaned; specifies which TMs to clean and the output format
UIDs of translation memories to extract cleaned content from
Output format for the cleaned TM archive
TMX, XLSX Threshold ratio for preserving segments (0.0 exclusive to 1.0 inclusive, default 0.9)
0 < x < 1Target language locales to include; defaults to all TM target langs
Response
Accepted
Show child attributes
Show child attributes
Was this page helpful?